<div class="uploadimagefield">
  <input type="file" name="files" class="hidden" />
  <div ng-if="!image" class="imageuploadplaceholder" ng-style="::{'width': size.width+'px', 'height': size.height+'px', 'border-radius': radius+'px'}" ng-click="triggerFileSelect()">
    <div class="imagewarning">
      <div class="uploadimg glyphicon-camera"></div>
      <div class="uploadtext"><span translate="uploadimage"></span></div>
      <div class="uploadtext" ng-if="size.width > 0"><span>{{size.width +'x'+size.height}}</span></div>
    </div>
  </div>
  <div ng-if="image" class="imageuploaditem">
    <img ng-src="{{image}}" ng-style="::{'border-radius': radius+'px'}" class="imageuploadimage" ng-click="triggerFileSelect()" />
    <div class="imageupload-delete">
      <button type="button" ng-if="image !== 'images/loader/loader1.gif'" ng-click="destroyImage()" class="btn btn-danger center-block">
        <span class="glyphicon glyphicon-bin"></span>
        <span translate="removepicture"></span>
      </button>
    </div>
  </div>
  <div ng-transclude>

  </div>
</div>
